INTEL_LR_CONTEXT_FRE(9)

NAME
intel_lr_context_free - free the LRC specific bits of a context

SYNOPSIS

void intel_lr_context_free(struct intel_context * ctx);

ARGUMENTS

ctx
    the LR context to free.

THE REAL CONTEXT FREEING IS DONE IN I915_GEM_CONTEXT_FREE

this only

TAKES CARE OF THE BITS THAT ARE LRC RELATED

the per-engine backing objects and the logical ringbuffer.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT